#$env:getjob
#$env:setjob



#do {
    if ($env:setjob) {
        $command = $env:setjob
        $env:setjob = $false
    }
    cd "C:\Program Files\Dell\SysMgt\rac5"
    $collection = $(.\racadm.exe -r "spaeth-bayern.de:5005" -u root -p "kt}y/6ZHF~.@" getsysinfo)
    foreach ($item in $collection) {
    if ($null -ne $item) {
        $r710_log.Text += "$item`n"
        if($item -match "DNS RAC Name"){
            $index = ($item.IndexOf("="))
            $env:r710_log_mac.Text = $item.Substring($index+1)
        }
        if($item -match "Firmware Version"){
            $index = ($item.IndexOf("="))
            $env:r710_log_bios.Text = $item.Substring($index+1)
        }
        if($item -match "Power Status"){
            $index = ($item.IndexOf("="))
            $env:r710_log_power.Text = $item.Substring($index+1)
        }
    }
}
    Start-Sleep -milliseconds 50
#} until (
#    $quit
#)